Package com.castlabs.sdk.crashlytics

## Class CrashlyticsReporter

- java.lang.Object
- - com.castlabs.sdk.crashlytics.CrashlyticsReporter

- All Implemented Interfaces:
    `CrashReporter`

      public class CrashlyticsReporter
      extends Object
      implements CrashReporter

  `CrashReporter` implementation that connects to Crashlytics.
  Since:
    2.2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CrashlyticsReporter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `log​(String tag, String message)` |
    `void` | `report​(Throwable exception)` |
    `void` | `set​(String key, boolean value)` |
    `void` | `set​(String key, double value)` |
    `void` | `set​(String key, int value)` |
    `void` | `set​(String key, String value)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrashlyticsReporter

          public CrashlyticsReporter()

  - ### Method Detail

    - #### report

          public void report​(Throwable exception)

      Specified by:
        `report` in interface `CrashReporter`

    - #### log

          public void log​(String tag,
                          String message)

      Specified by:
        `log` in interface `CrashReporter`

    - #### set

          public void set​(String key,
                          String value)

      Specified by:
        `set` in interface `CrashReporter`

    - #### set

          public void set​(String key,
                          int value)

      Specified by:
        `set` in interface `CrashReporter`

    - #### set

          public void set​(String key,
                          double value)

      Specified by:
        `set` in interface `CrashReporter`

    - #### set

          public void set​(String key,
                          boolean value)

      Specified by:
        `set` in interface `CrashReporter`